# FlashFloppy

*The #1 floppy emulator.*

![CI Badge][ci-badge]
![Downloads Badge][downloads-badge]
![Version Badge][version-badge]

**FlashFloppy** is a floppy-drive emulator for the ubiquitous
[**Gotek**][Gotek-Compatibility] hardware. Connect to retro machines just
like a real floppy drive but use disk images on a modern USB stick!
- Say goodbye to old and unreliable floppy disks
- Download and play from the disk-image archives for your retro machines

**FlashFloppy** is the **#1 floppy emulator**:
- Supports a [massive range][Host-Platforms] of retro computers, synths, and machinery
- Directly reads and writes [many image formats][Image-Formats]
- [Flexible track layout][Track-Layouts] for Raw Sector Images
- [Extremely configurable][FF.CFG-Configuration-File]

**FlashFloppy** is **Free and Open-Source Software**.

## Download
- [**Download FlashFloppy**][Downloads]

## Documentation
- [**Read the GitHub Wiki**](https://github.com/keirf/FlashFloppy/wiki)

## Donations

FlashFloppy is a labour of love: working on it takes a **lot** of time
and effort. Although it is [Free Software](Redistribution) and
a pet project of mine, beer & coffee tokens will fuel me in the
push onwards and upwards!

For further information please see the [**Donations page**][Donations].

## Redistribution

Most code is public domain; the rest is MIT/BSD or Open Source friendly
(see the [COPYING](COPYING) file).

The source code, and all binary releases, are freely redistributable
in any form. Because FlashFloppy includes third-party code, you should
include or link to the [COPYING](COPYING) file in any redistribution.

This means, for example, you are free to sell and profit from Gotek
devices programmed with a binary release of FlashFloppy. However **at
a minimum** you should incorporate or link to the [COPYING](COPYING)
file on your selling page. For example:
- FlashFloppy is free software. For more information see the
  [license](COPYING).

[Gotek-Compatibility]: https://github.com/keirf/FlashFloppy/wiki/Gotek-Compatibility
[Host-Platforms]: https://github.com/keirf/FlashFloppy/wiki/Host-Platforms
[Image-Formats]: https://github.com/keirf/FlashFloppy/wiki/Image-Formats
[Track-Layouts]: https://github.com/keirf/FlashFloppy/wiki/Track-Layouts
[FF.CFG-Configuration-File]: https://github.com/keirf/FlashFloppy/wiki/FF.CFG-Configuration-File
[Downloads]: https://github.com/keirf/FlashFloppy/wiki/Downloads
[Donations]: https://github.com/keirf/FlashFloppy/wiki/Donations

[ci-badge]: https://github.com/keirf/FlashFloppy/workflows/CI/badge.svg
[downloads-badge]: https://img.shields.io/github/downloads/keirf/FlashFloppy/total
[version-badge]: https://img.shields.io/github/v/release/keirf/FlashFloppy
